Page MenuHomePhabricator

Update LoginNotify for AuthManager
Closed, ResolvedPublic3 Story Points

Description

The AddNewAccount hook has been replaced by LocalUserCreated since 1.26. The AddNewAccount hook will no longer be reliably called under AuthManager.

The LoginAuthenticateAudit hook is deprecated and will no longer be called under AuthManager. You might use the AuthManagerLoginAuthenticateAudit hook instead.

Event Timeline

Anomie created this task.May 13 2016, 8:22 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 13 2016, 8:22 PM
Bawolff claimed this task.May 14 2016, 9:27 AM
Nemo_bis removed a subscriber: Nemo_bis.May 14 2016, 9:32 AM

Change 297844 had a related patch set uploaded (by Brian Wolff):
Update LoginNotify for AuthManager.

https://gerrit.wikimedia.org/r/297844

Change 297844 merged by jenkins-bot:
Update LoginNotify for AuthManager.

https://gerrit.wikimedia.org/r/297844

That patch was for the LoginAuthenticateAudit. AddNewAccount is still todo.

kaldari raised the priority of this task from Low to Normal.Jan 3 2017, 5:46 PM
kaldari set the point value for this task to 3.
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.

Change 333563 had a related patch set uploaded (by Niharika29):
Update AddNewAccount->LocalUserCreated hook for LoginNotify

https://gerrit.wikimedia.org/r/333563

kaldari closed this task as Resolved.Feb 15 2017, 11:27 PM
kaldari moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.

Change 333563 merged by jenkins-bot:
Update AddNewAccount->LocalUserCreated hook for LoginNotify

https://gerrit.wikimedia.org/r/333563

DannyH moved this task from Estimated to Archive on the Community-Tech board.Mar 2 2017, 6:40 PM